@echo off
REM Sets up direct disk access, ease of use of LDRVIMG.EXE
if %1z==z goto help
if %4z==z goto help
echo Ready to LOCK %4: DRIVE and proceed...
echo Press any key to begin, or [CTRL]+[C] to quit
pause > nul
echo y | lock %4: > nul
ldrvimg -%1 -%2 -f:%3 -d:%4
goto end
:help
echo Logical Drive Imager 1.0 Launcher
echo =================================
echo LDRVIMG.EXE will save any recognized and DOS REAL MODE 
echo (NOT RUNNING IN A DOS BOX UNDER WINDOWS) accessible drive
echo (has a drive letter and DOS can READ IT) to a file (ON
echo ANOTHER DRIVE) or restore the logical drive from a file.
echo LDRVIMG.EXE can save and restore any primary DOS partition
echo as well. LDRVIMG.EXE uses DOS INT 25h/26h so DOS MUST be
echo able to recognize and read the target drive letter in order
echo to be able to create the image. (Network Drives will most
echo likely fail) DOS 7.x should be able to facilitate read and
echo write operations of FAT32 drives to/from files up to 4GB
echo in size. LDRVIMG.EXE will NOT SPAN images to multiple files.
echo. 
pause
echo USAGE: LDI warn op filename drive
echo.
echo Where:
echo   warn     MUST be stated first, either
echo            Q=QUIET: No warnings, just does it, OR
echo            N=NO WARN: Shows warnings, but does not ask, OR
echo            W=WARN: Shows warnings and asks to continue
echo   op       MUST be stated second. either
echo            S=SAVE: saves the target drive to a file, OR
echo            R=RESTORE: Restores the target drive from file
echo   filename MUST be stated third, MUST NOT RESIDE ON THE
echo            TARGET DRIVE!!! Can be full or relative path.
echo   drive    MUST be stated fourth. The drive letter to
echo            be saved/restored to/from the file. DO NOT
echo            SPECIFY A COLON, JUST THE LETTER.
echo.
echo EXAMPLE: To save the D: drive to the file named DDRIVE.IMG
echo          in the IMAGES directory on the C: drive and stop
echo          and ask the user to continue if any sector read
echo          or write errors occur:
echo.
echo LDI W S C:\IMAGES\DDRIVE.IMG D
echo.
:end